org.apache.ignite.internal.cache.query.index.sorted.keys

## Class DateTimeIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.DateTimeIndexKey

All Implemented Interfaces:
  IndexKey

Direct Known Subclasses:
  DateIndexKey, TimestampIndexKey

    public abstract class DateTimeIndexKey
    extends Object
    implements IndexKey

Class that represnts a date/time index key.

### Constructor Summary

Constructors
Constructor and Description
`DateTimeIndexKey()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `compareTo(long dateVal, long nanos)`
`boolean` `isComparableTo(IndexKey k)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`compare, key, type`

### Constructor Detail

#### DateTimeIndexKey

    public DateTimeIndexKey()

### Method Detail

#### compareTo

    public abstract int compareTo(long dateVal,
                                  long nanos)

#### isComparableTo

    public boolean isComparableTo(IndexKey k)

Specified by:
  `isComparableTo` in interface `IndexKey`
Returns:
  `True` if index key can be compared to another index key (in case keys have different types).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023